<?php

namespace Onestartup\Shop\Libs;

use Openpay;

class PaymentOpenPay
{
	public function sendPayment($payment_data, $months = 1)
    {
    	try{

	    	$openpay = Openpay::getInstance(env('OPENPAY_ID'), env('OPENPAY_SK'));
	    	$charge = array();

	    	$plan = array('payments' => $months);

			if ($months >= 3) {
				$payment_data['payment_plan'] = $plan;	
			}
			
			if($charge = $openpay->charges->create($payment_data)){
				return ['status'=>'ok', 'status_payment'=>$charge->status, 'message'=>'Pago completado'];
			} else {
				return ['status'=>'error', 'status_payment'=>'fail', 'message'=>'No se realizo el cargo'];
			}
			

		} catch (\OpenpayApiTransactionError $e) {
			return ['status'=>'error', 'status_payment'=>'fail_transaction', 'message'=>$e->getMessage()];
		} catch (\OpenpayApiRequestError $e) {
			return ['status'=>'error', 'status_payment'=>'fail_request', 'message'=>$e->getMessage()];
		} catch (\OpenpayApiConnectionError $e) {
			return ['status'=>'error', 'status_payment'=>'fail_connection', 'message'=>$e->getMessage()];
		} catch (\OpenpayApiAuthError $e) {
			return response()->json(['status'=>'error', 'status_payment'=>'fail_auth', 'message'=>$e->getMessage()]);
		} catch (\OpenpayApiError $e) {
			return ['status'=>'error', 'status_payment'=>'fail_api', 'message'=>$e->getMessage()];
		} catch (Exception $e) {
			return ['status'=>'error', 'status_payment'=>'fail_script', 'message'=>$e->getMessage()];
		}
    }

    public function totalWithPorcent($total, $months) {
    	
    	$total_with_porcents = $total;
    	switch($months)
	    {
	        case 1:
	          $total_with_porcents = $total;
	        break;

	        case 3:
	          $total_with_porcents = (env('TASA_3') / 100) * $total + $total;
	        break;

	        case 6:
	          $total_with_porcents = (env('TASA_6') / 100) * $total + $total;
	        break;

	        case 9:
	          $total_with_porcents = (env('TASA_9') / 100) * $total + $total;
	        break;

	        case 12:
	          $total_with_porcents = (env('TASA_12') / 100) * $total + $total;
	        break;

	        default:
	        	$total_with_porcents = $total;

	    }

	    return $total_with_porcents;

    }

}