<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class DropTableRelatedProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::dropIfExists('related_products');
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::create('related_products', function (Blueprint $table) {
            $table->increments('id');
            
            $table->integer('product_id')->unsigned();
            $table->foreign('product_id')
                ->references('id')
                ->on('products_shop')
                ->onDelete('cascade');

            $table->integer('subcategory_id')->unsigned();
            $table->foreign('subcategory_id')
                ->references('id')
                ->on('product_subcategories_shop')
                ->onDelete('cascade');    

            $table->timestamps();
        });
    }
}
