@extends('crm-admin::main-layout')
@section('breadcrumb')
  <li class="breadcrumb-item">
    <a href="{{route('home')}}">Home</a>
  </li>
  <li class="breadcrumb-item">
    <a href="{{route('admin.shop.product.index')}}">Productos</a>
  </li>
  <li class="breadcrumb-item">
    <a href="{{route('admin.shop.category.index')}}"> Categorías</a>
  </li>
  <li class="breadcrumb-item">
    <a href="{{route('admin.shop.category.edit', $category->id)}}"> Categoría: {{$category->name}}</a>
  </li>
  <li class="breadcrumb-item active">
    Listado de subcategorias
  </li>  
@endsection
@section('content')

<div class='row'>
  <div class='col-md-12 collapse' id='agregarCategoria'>
    <div class='box'>
      <div class='box-header dark'>
        <h2>
          Agregar nueva subcategoría
          <span></span>
          <a aria-expanded='false' class='btn btn-xs btn-danger button-ml' data-toggle='collapse' href='#agregarCategoria'>
            Cancelar
          </a>
        </h2>
      </div>
      <div class='box-body'>
        <div class='col-md-12'>
          {!! Form::open(['route'=> ['admin.shop.subcategory.store', $category->id],'method'=>'POST', 'enctype'=>'multipart/form-data']) !!}
          @include('shop::subcategory.fields')
          <div class='form-group'>
            <button class='btn btn-primary' type='submit'>
              Registrar
            </button>
          </div>
          {!! Form::close() !!}
        </div>
      </div>
    </div>
  </div>
  <div class='col-md-12'>
    <div class='box'>
      <div class='box-header dark'>
        <h2>
          <b>{{$category->name}}:</b> Listado de subcategorías 
          <span>
            <a aria-expanded='false' class='btn btn-xs btn-info button-ml' data-toggle='collapse' href='#agregarCategoria'>
              <i class='fas fa-plus'></i>
              Agregar Nueva Subcategoría
            </a>
          </span>
        </h2>
      </div>
      <div class='box-body'>
        <div class='col-md-12'>
          <table class='table'>
            <tr>
              <th>#</th>
              <th>Subcategoría</th>
              <th>Descripción</th>
              <th></th>
            </tr>
            @foreach ($subcategories as $subcategory)
            <tr>
              <td> {{$subcategory->id}}</td>
              <td>
                <p> {{$subcategory->name}}</p>
                <p>
                  URL Slug:
                  <b> {{$subcategory->slug}}</b>
                </p>
              </td>
              <td> {{$subcategory->description}}</td>
              <td class="text-center">
                {!! Form::open(['route'=> ['admin.shop.subcategory.destroy',$category->id,$subcategory->id],'method'=>'DELETE'])!!}
                <button class='btn btn-danger btn-xs button-mb' onclick="return confirm('¿Estás seguro de eliminar este elemento?');" type='submit'>
                  <i class='fas fa-trash-alt icon-special-size'></i>
                  Eliminar
                </button>
                {!! Form::close()!!}
                <a class='btn btn-xs accent' href="{{route('admin.shop.subcategory.edit', [$category->id, $subcategory->id])}}">
                  <i class='fas fa-edit icon-special-size'></i>
                  Editar
                </a>
              </td>
              @endforeach
            </tr>
          </table>
        </div>
      </div>
      <div class='dker p-a text-right'>
        {{ $subcategories->links() }}
      </div>
    </div>
  </div>
</div> 
@endsection

@section('script_extras')
  <script>
    $('#related_products').select2();
  </script>
@endsection